Uses of Class
io.vertx.rxjava3.core.http.HttpClientResponse
Packages that use HttpClientResponse
-
Uses of HttpClientResponse in io.vertx.rxjava3.core.http
Fields in io.vertx.rxjava3.core.http with type parameters of type HttpClientResponseModifier and TypeFieldDescriptionstatic final io.vertx.lang.rx.TypeArg<HttpClientResponse> HttpClientResponse.__TYPE_ARGMethods in io.vertx.rxjava3.core.http that return HttpClientResponseModifier and TypeMethodDescriptionHttpClientResponse.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpClientResponse.customFrameHandler(Handler<HttpFrame> handler) Set an custom frame handler.HttpClientResponse.endHandler(Handler<Void> endHandler) HttpClientResponse.exceptionHandler(Handler<Throwable> handler) HttpClientResponse.fetch(long amount) static HttpClientResponseHttpClientResponse.newInstance(HttpClientResponse arg) HttpClientResponse.pause()HttpClientResponse.resume()HttpClientResponse.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changes.Methods in io.vertx.rxjava3.core.http that return types with arguments of type HttpClientResponseModifier and TypeMethodDescriptionHttpClientRequest.connect()Create an HTTP tunnel to the server.HttpClientRequest.response()HttpClientRequest.rxConnect()Create an HTTP tunnel to the server.HttpClientRequest.rxResponse()HttpClientRequest.rxSend()Send the request with an empty body.Send the request with a streambody.Send the request with a bufferbody.HttpClientRequest.rxSend(ClientForm form) LikeHttpClientRequest.send()but with aform.Send the request with a stringbody.HttpClientRequest.send()Send the request with an empty body.Send the request with a streambody.Send the request with a bufferbody.HttpClientRequest.send(ClientForm form) LikeHttpClientRequest.send()but with aform.Send the request with a stringbody.Method parameters in io.vertx.rxjava3.core.http with type arguments of type HttpClientResponseModifier and TypeMethodDescriptionHttpClientRequest.redirectHandler(Function<HttpClientResponse, Single<HttpClientRequest>> handler) HttpClientBuilder.withRedirectHandler(Function<HttpClientResponse, Single<RequestOptions>> handler) Set a redirect handler for the http client. -
Uses of HttpClientResponse in io.vertx.rxjava3.httpproxy
Methods in io.vertx.rxjava3.httpproxy that return HttpClientResponse